콘텐츠로 건너뛰기

개요

디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.

이 참조는 API 엔드포인트를 2개의 엑솔라 제품용으로 결합합니다. 인게임 스토어페이 스테이션. 2개의 기준 URL이 있습니다.

  • https://store.xsolla.com/api일반, 카탈로그, 장바구니, 주문 그룹용입니다.
  • https://ps.xsolla.com알림 그룹용입니다.

카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.

장바구니주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.

주의

이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
작업
작업
작업

요청

카탈로그 작성을 위한 가상 아이템 목록을 가져옵니다.

주의. 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/virtual_items?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

가상 아이템 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_5_items)
예제: [{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"external_id":"size_e3364991f92e751689a68b96598a5a5a84010b85","value":"5"}]}],"description":"Big Rocket - description","groups":[{"external_id":"accessory","name":"Accessory"}],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":false,"name":"Big Rocket","price":{"amount":"100.99","amount_without_discount":"100.99","currency":"USD"},"sku":"big_rocket","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test","type":"virtual_currency"}]},{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"external_id":"size_e3364991f92e751689a68b96598a5a5a84010b85","value":"5"}]},{"external_id":"rating","name":"Rating","values":[{"external_id":"rating_e3364991f92e751689a68b96598a5a5a84010b85","value":"3.9"}]}],"description":"description","groups":[{"external_id":"hair","name":"Hair"}],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":false,"name":"SHOTGUN FOR TRUE RAIDERS","price":{"amount":"101.0","amount_without_discount":"101.0","currency":"USD"},"sku":"shotgun_raider","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"description":"description","image_url":"http://image.png","is_default":false,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test_2","type":"virtual_currency"}]},{"attributes":[],"description":"description","groups":[],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"shotgun_raider_2","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[]}]
items[].​attributesArray of objects(Catalog_client-attributes)

게임에 해당하는 속성 및 해당 값의 목록입니다.

주의 응답의 이 부분은 `additional_fields[]=attributes` 쿼리 매개변수를 보내는 경우에만 사용할 수 있습니다.
기본값 []
items[].​attributes[].​external_idstring(Catalog_admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유한 속성 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_1"
items[].​attributes[].​namestring

속성의 이름.

예제: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(Catalog_value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

속성의 고유 값 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_value"
items[].​attributes[].​values[].​valuestring

속성 값.

예제: "Strategy"
items[].​descriptionstring

아이템 설명.

예제: "Big Rocket - description"
items[].​groupsArray of objects(Catalog_inline_response_200_groups)

아이템이 속한 그룹.

예제: [{"external_id":"accessory","name":"Accessory"}]
items[].​groups[].​external_idstring
예제: "accessory"
items[].​groups[].​namestring
예제: "Accessory"
items[].​image_urlstring

이미지 URL.

예제: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​inventory_optionsobject(Catalog_inline_response_200_5_inventory_options)

인벤토리 아이템 옵션을 정의합니다.

items[].​inventory_options.​consumableobject or null(Catalog_inline_response_200_5_inventory_options_consumable)

이것이 소모성 아이템이면 소모성 속성을 정의하고, 이것이 비소모성 아이템이면 null을 정의합니다.

items[].​inventory_options.​consumable.​usages_countinteger or null

이것이 소모품인 경우 남은 총 사용 횟수, 또는 이것이 비소모품인 경우 null입니다.

예제: 1
items[].​inventory_options.​expiration_periodobject or null(Catalog_inline_response_200_5_inventory_options_expiration_period)

만료된 아이템인 경우 만료 속성을 정의하고 만료되지 않은 아이템인 경우 null을 정의합니다.

items[].​inventory_options.​expiration_period.​typestring

아이템 만료 유형을 정의합니다.

열거형"minute""hour""day""week""month""year"
예제: "day"
items[].​inventory_options.​expiration_period.​valueinteger

만료 기간의 값을 정의합니다.

예제: 1
items[].​is_freeboolean

true이면 아이템이 무료입니다.

예제: false
items[].​namestring

아이템 이름.

예제: "Big Rocket"
items[].​priceobject(Catalog_inline_response_200_5_price)

아이템 가격.

items[].​price.​amountstring

할인 아이템 가격.

예제: "100.99"
items[].​price.​amount_without_discountstring

아이템 가격.

예제: "100.99"
items[].​price.​currencystring

기본 구매 통화입니다. ISO 4217에 따른 3자리 코드.

예제: "USD"
items[].​skustring

고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "big_rocket"
items[].​typestring

아이템 유형: virtual_good/virtual_currency/bundle.

예제: "virtual_good"
items[].​virtual_item_typestring

가상 아이템의 유형.

열거형"consumable""non_consumable""non_renewing_subscription"
예제: "non-consumable"
items[].​virtual_pricesArray of objects(Catalog_inline_response_200_virtual_prices)

가상 가격.

items[].​virtual_prices[].​amountinteger

가상 화폐로 표시된 할인된 품목 가격.

예제: 100
items[].​virtual_prices[].​amount_without_discountinteger

아이템 가격.

예제: 200
items[].​virtual_prices[].​descriptionstring

가상 화폐 설명.

예제: "Big Rocket - description"
items[].​virtual_prices[].​image_urlstring

가상 화폐의 이미지.

예제: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

가격이 아이템의 기본값인지 여부입니다.

예제: true
items[].​virtual_prices[].​namestring

가상 화폐 이름.

예제: "SHOTGUN FOR TRUE RAIDERS"
items[].​virtual_prices[].​skustring

가상 화폐 아이템 SKU.

예제: "vc_test"
items[].​virtual_prices[].​typestring

가상 화폐 유형.

예제: "virtual_currency"
응답
application/json
{ "items": [ {}, {}, {} ] }

지정된 그룹별로 아이템 목록 가져오기

요청

카탈로그를 작성하기 위해 지정된 그룹에서 아이템 목록을 가져옵니다.

주의 모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값 및 최대값은 응답당 50개 아이템입니다. 페이지별로 더 많은 데이터를 얻으려면 limitoffset 필드를 사용하세요.
보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
external_idstring필수

그룹 외부 ID.

기본값 "all"
쿼리
limitinteger

페이지 요소 개수 제한.

예제: limit=50
offsetinteger

목록이 생성된 요소 개수(개수는 0부터 시작함).

예제: offset=0
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/virtual_items/group/{external_id}?limit=50&offset=0&locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

지정 그룹의 아이템 목록이 성공적으로 수신되었습니다.

본문application/json
itemsArray of objects(Catalog_inline_response_200_8_items)
예제: [{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"value":"5"}]}],"description":"Big Rocket - description","groups":[{"external_id":"accessory","name":"Accessory"}],"image_url":"https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":false,"name":"Big Rocket","price":{"amount":"100.99","amount_without_discount":"100.99","currency":"USD"},"sku":"big_rocket","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test","type":"virtual_currency"}]},{"attributes":[{"external_id":"stack_size","name":"Stack size","values":[{"value":"5"}]},{"external_id":"rating","name":"Rating","values":[{"value":"3.9"}]},{"external_id":"genre","name":"Genre","values":[{"value":"Strategy"},{"value":"Tactical"},"Turn-based"]}],"description":"description","groups":[{"external_id":"accessory","name":"Accessory"}],"image_url":"http://image.png","inventory_options":{"consumable":{"usages_count":1},"expiration_period":{"type":"day","value":1}},"is_free":false,"name":"SHOTGUN FOR TRUE RAIDERS","price":{"amount":"101.0","amount_without_discount":"101.0","currency":"USD"},"sku":"shotgun_raider","type":"virtual_good","virtual_item_type":"non_renewing_subscription","virtual_prices":[{"amount":100,"amount_without_discount":100,"description":"description","image_url":"http://image.png","is_default":true,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test","type":"virtual_currency"},{"amount":200,"amount_without_discount":200,"description":"description","image_url":"http://image.png","is_default":false,"name":"SHOTGUN FOR TRUE RAIDERS","sku":"vc_test_2","type":"virtual_currency"}]}]
items[].​attributesArray of objects(Catalog_client-attributes)

게임에 해당하는 속성 및 해당 값의 목록입니다.

주의 응답의 이 부분은 `additional_fields[]=attributes` 쿼리 매개변수를 보내는 경우에만 사용할 수 있습니다.
기본값 []
items[].​attributes[].​external_idstring(Catalog_admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

고유한 속성 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_1"
items[].​attributes[].​namestring

속성의 이름.

예제: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(Catalog_value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

속성의 고유 값 ID입니다. external_id에는 소문자 라틴 영숫자, 대시 및 밑줄만 포함될 수 있습니다.

예제: "attribute_value"
items[].​attributes[].​values[].​valuestring

속성 값.

예제: "Strategy"
items[].​descriptionstring

아이템 설명.

예제: "Big Rocket - description"
items[].​groupsArray of objects(Catalog_inline_response_200_groups)

아이템이 속한 그룹.

예제: [{"external_id":"accessory","name":"Accessory"}]
items[].​groups[].​external_idstring
예제: "accessory"
items[].​groups[].​namestring
예제: "Accessory"
items[].​image_urlstring

이미지 URL.

예제: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​inventory_optionsobject(Catalog_inline_response_200_7_inventory_options)

인벤토리 아이템 옵션을 정의합니다.

items[].​inventory_options.​consumableobject or null(Catalog_inline_response_200_5_inventory_options_consumable)

이것이 소모성 아이템이면 소모성 속성을 정의하고, 이것이 비소모성 아이템이면 null을 정의합니다.

items[].​inventory_options.​consumable.​usages_countinteger or null

이것이 소모품인 경우 남은 총 사용 횟수, 또는 이것이 비소모품인 경우 null입니다.

예제: 1
items[].​inventory_options.​expiration_periodobject or null(Catalog_inline_response_200_7_inventory_options_expiration_period)

만료된 아이템인 경우 만료 속성을 정의하고 만료되지 않은 아이템인 경우 null을 정의합니다.

items[].​inventory_options.​expiration_period.​typestring

아이템의 만료 유형을 정의합니다.

열거형"minute""hour""day""week""month""year"
예제: "day"
items[].​inventory_options.​expiration_period.​valueinteger

만료 기간 값을 정의합니다.

예제: 1
items[].​is_freestring

true이면 아이템이 무료입니다.

예제: "false"
items[].​namestring

아이템 이름.

예제: "Big Rocket"
items[].​priceobject(Catalog_inline_response_200_5_price)

아이템 가격.

items[].​price.​amountstring

할인 아이템 가격.

예제: "100.99"
items[].​price.​amount_without_discountstring

아이템 가격.

예제: "100.99"
items[].​price.​currencystring

기본 구매 통화입니다. ISO 4217에 따른 3자리 코드.

예제: "USD"
items[].​skustring

고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "big_rocket"
items[].​typestring

아이템 유형: consumable/expiration/permanent/lootboxes/physical.

예제: "virtual_good"
items[].​virtual_item_typestring

가상 아이템의 유형.

열거형"consumable""non_consumable""non_renewing_subscription"
예제: "non_consumable"
items[].​virtual_pricesArray of objects(Catalog_inline_response_200_8_virtual_prices)

가상 가격.

items[].​virtual_prices[].​amountinteger

가상 화폐로 표시된 할인된 품목 가격.

예제: 100
items[].​virtual_prices[].​amount_without_discountinteger

아이템 가격.

예제: 200
items[].​virtual_prices[].​descriptionstring

가상 화폐 설명.

예제: "Big Rocket - description"
items[].​virtual_prices[].​image_urlstring
예제: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

가격이 아이템의 기본값인지 여부입니다.

예제: true
items[].​virtual_prices[].​namestring

가상 화폐 이름.

예제: "SHOTGUN FOR TRUE RAIDERS"
items[].​virtual_prices[].​skustring

가상 화폐 아이템 SKU.

예제: "vc_test"
items[].​virtual_prices[].​typestring

가상 화폐 유형.

예제: "virtual_currency"
응답
application/json
{ "items": [ {}, {} ] }
작업
작업
작업
작업